question

mawrwatson-1268 avatar image
0 Votes"
mawrwatson-1268 asked LimitlessTechnology-2700 answered

I need to upgrade my Active-Directory version but I need to upgrade my active directory

I need to upgrade my Active-Directory version but I need to upgrade my active directory. What are the newest Active-Directory versions I can have? And my client still must be Windows NT 4.0. What Active-Directory versions still support NT 4.0.

windows-active-directory
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Thameur-BOURBITA avatar image
0 Votes"
Thameur-BOURBITA answered mawrwatson-1268 commented

Hi,

Based on Microsoft documentation , you can establish a trust between active directory on windows 2012 R2 and Windows NT 4.0:

trust-between-windows-ad-domain-not-work-correctly



I recommend you to remove WIndows NT soon as possible, because when you keep Windows NT you will be enable to disable vulnerable protocol.

Please don't forget to mark helpful reply as answer

· 1
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Thanks for the answer. I will study this document and decide.

0 Votes 0 ·
LimitlessTechnology-2700 avatar image
0 Votes"
LimitlessTechnology-2700 answered

Hello,

Thank you for your question.

As far I know Windows 2000 support Windows NT 4.0 But Microsoft has already stopped supported for that also,

In your case it is highly recommended to Migrate your Windows NT 4.0 to Latest Windows AD 2019 or 2022.




--If the reply is helpful, please Upvote and Accept as answer--

5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.